<script setup>
import data from '@/json/layout/footer.json'
</script>

<template>
    <div class="TheFooter">
        <div class="top-footer px-lg-15 px-md-8 px-sm-4">
            <v-container fluid>
                <v-row class="mt-md-5 mt-0">
                    <v-col cols="md-3" sm="6">
                        <h2> پسیفیک هلدینگ </h2>
                        <p class="text-blue-grey-darken-4">هلدینک پسیفیک با بیش از 22 سال سابقه‌ی درخشان در زمینه‌ی حمل و
                            نقل بار به صورت بین‌المللی می‌باشد
                            و همیشه در صدد ارائه مقرون به صرفه‌ترین، تاثیر گذارترین، بهترین و مورد اعتمادترین راه حل در جهت
                            دستیابی به بیشترین حد رضایت مشتریان بوده است.</p>
                    </v-col>
                    <v-col cols="md-3" sm="6">
                        <h2 class="pr-md-5 pr-0"> پیوند های مرتبط</h2>
                        <v-list>
                            <v-list-item v-for="(item, index) in data.contactUs.links" :key="index" :value="index">
                                <NuxtLink :to="item.link">
                                    <v-list-item-title>
                                        <BootstrapIcon class="mb-2 text-blue-grey-darken-1" name="dot" />
                                        <span class="text-blue-grey-darken-4">{{ item.title }}</span>
                                    </v-list-item-title>
                                </NuxtLink>
                            </v-list-item>
                        </v-list>
                    </v-col>
                    <v-col cols="md-3" sm="6">
                        <h2 class="pr-md-4 pr-0">خدمات ما</h2>
                        <SharedServices />
                    </v-col>
                    <v-col cols="md-3" sm="6" class="contact-us">
                        <h2 class="pr-md-4 pr-0">{{ data.contactUs.title }}</h2>
                        <v-list lines="three">
                            <v-list-item v-for="item in data.contactUs.info">
                                <v-list-item-title>
                                    <BootstrapIcon class="me-2 blue-grey-darken-1" :name="item.prependAvatar" />
                                    <span class="text-blue-grey-darken-4"> {{ item.title }}
                                    </span>
                                </v-list-item-title>
                            </v-list-item>
                        </v-list>
                        <SocialMedia />
                    </v-col>
                </v-row>
            </v-container>
            <v-divider></v-divider>
            <div class="bottom-footer">{{ data.copyRight }} </div>
        </div>
    </div>
</template>


<style lang="scss">
.TheFooter {

    .top-footer {
        background-image: url('/img/footer-world-bg.svg');
        background-color: #f8f9fd;
        padding-top: 55px;
        background-size: cover;
        padding-bottom: 30px;
        display: flex;
        flex-wrap: wrap;

        h2 {
            font-weight: 700;
            font-size: 18px;
            line-height: 37px;
        }

        .contact-us {
            .v-avatar {
                margin-left: 4px;
                margin-top: -10px;
                width: 24px;
                height: 24px;
            }
        }

        .v-list {
            background-color: inherit;
            padding-bottom: 0;

            .v-list-item {
                padding-top: 0;
                min-height: 31px;
                margin-bottom: 4px;
                padding-bottom: 0;
            }

            .v-list-item-title {
                white-space: normal;
                font-size: 16px;
                line-height: 25px;
                text-align: right;
            }
        }

    }

    .bottom-footer {
        display: flex;
        align-items: center;
        justify-content: center;
        font-weight: 500;
        font-size: 14px;
        width: 100%;
        padding-top: 30px;
        line-height: 22px;
        color: #373C3F;
    }

    @media only screen and (max-width:992px) {
        & {
            .v-list-item {
                padding-right: 0 !important;
            }
        }
    }

    @media only screen and (max-width:360px) {
        & {
            .top-footer {
                padding-top: 0;
            }
        }
    }
}
</style>